Subject: Re: linux-next: manual merge of the pm tree with the printk tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Fri, 18 Oct 2019 11:34:08 +0200

On Friday, October 18, 2019 1:19:38 AM CEST Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the pm tree got a conflict in:
> 
>   lib/test_printf.c
> 
> between commit:
> 
>   57f5677e535b ("printf: add support for printing symbolic error names")
> 
> from the printk tree and commit:
> 
>   f1ce39df508d ("lib/test_printf: Add tests for %pfw printk modifier")
> 
> from the pm tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

The resolution looks good to me, thank you!

Sakari, please double check.